<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,log4net" />
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="Ebooom.IEOpt.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
      <section name="Ebooom.IEOpt.Login.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <log4net>
    <!--定义滚动输出到文件中-->
    <appender name="ServiceRollingFileAppender" type="log4net.Appender.RollingFileAppender">
      <file value="./log/IEOpt.txt" />
      <appendToFile value="true" />
      <rollingStyle value="Size" />
      <maxSizeRollBackups value="2" />
      <maximumFileSize value="1MB" />
      <staticLogFileName value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="[%-5p][%date][%thread] %message%newline" />
      </layout>
    </appender>
    <!--定义输出到文件中-->
    <appender name="ServiceFileAppender" type="log4net.Appender.FileAppender">
      <!--定义文件存放位置-->
      <file value="Service.txt" />
      <appendToFile value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <!--每条日志末尾的文字说明-->
        <!--<footer value="by NetShop"/>-->
        <!--输出格式-->
        <!--样例：2008-03-26 13:42:32,111 [10] INFO  Log4NetDemo.MainClass [(null)] - info-->
        <conversionPattern value="[%-5p][%date][%thread] %message%newline" />
      </layout>
    </appender>
    <!--定义输出到命令行-->
    <appender name="TesterConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="[%-5p][%date][%thread] %m%n" />
      </layout>
    </appender>
    <!--定义滚动输出到文件中-->
    <appender name="SnifferRollingFileAppender" type="log4net.Appender.RollingFileAppender">
      <file value="./log/Client/Sniffer.txt" />
      <appendToFile value="true" />
      <rollingStyle value="Size" />
      <maxSizeRollBackups value="2" />
      <maximumFileSize value="1MB" />
      <staticLogFileName value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="[%-5p][%date][%thread] %message%newline" />
      </layout>
    </appender>
    <!--定义输出到文件中-->
    <appender name="SnifferFileAppender" type="log4net.Appender.FileAppender">
      <!--定义文件存放位置-->
      <file value="Sniffer.txt" />
      <appendToFile value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <!--每条日志末尾的文字说明-->
        <!--<footer value="by NetShop"/>-->
        <!--输出格式-->
        <!--样例：2008-03-26 13:42:32,111 [10] INFO  Log4NetDemo.MainClass [(null)] - info-->
        <conversionPattern value="[%-5p][%date][%thread] %m%n" />
      </layout>
    </appender>
    <!--定义输出到命令行-->
    <appender name="SnifferConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="[%-5p][%date][%thread] %m%n" />
      </layout>
    </appender>
    <!--定义日志的输出媒介，下面定义日志以四种方式输出。也可以下面的按照一种类型或其他类型输出。-->
    <root>
      <level value="all" />
    </root>
    <logger name="logservice">
      <level value="error" />
      <appender-ref ref="ServiceRollingFileAppender" />
    </logger>
  </log4net>
  <startup>
    <supportedRuntime version="v2.0.50727"/>
  </startup>
  <runtime>
    <legacyUnhandledExceptionPolicy enabled="true" />
  </runtime>
  <applicationSettings>
    <Ebooom.IEOpt.Login.Properties.Settings>
      <setting name="Ebooom_IEOpt_Login_Ebooom_SEOLogin_LoginService"
                serializeAs="String">
        <value>http://www.shangdaotong.com/seorankapp/Services/LoginService.svc</value>
      </setting>
      <setting name="Ebooom_IEOpt_Login_Ebooom_RegistService_RegisterService"
          serializeAs="String">
        <value>http://www.shangdaotong.com/RegistForSeo/RegisterService.asmx</value>
      </setting>
    </Ebooom.IEOpt.Login.Properties.Settings>
    <Ebooom.IEOpt.Properties.Settings>
      <setting name="Ebooom_IEOpt_Ebooom_IEOpt_Service_IEOptService_IEOptService"
        serializeAs="String">
        <value>http://www.shangdaotong.com/seorankapp/Services/IEOptService.svc</value>
      </setting>
    </Ebooom.IEOpt.Properties.Settings>
  </applicationSettings>
</configuration>
